import requests

def browse(url):
    while url != "":
        res = requests.get(url)
        # url = res.text[res.text.find("http"):].split()[0]
        url = res.text
        url = url.replace("Merci de bien vouloir vous rendre à cette adresse ", "")
        url = url.replace("La suite se déroule ici : ", "")
        url = url.replace("Ce n'est pas ici ", "")
        url = url.replace(" Comment ça ce n'est pas drôle ?", "")
        url = url.replace("À l'adresse ", "")
        url = url.replace(" vous trouverez la suite", "")
        url = url.split(" qu'il faut aller mais plutôt là : ")[-1]
        print(res.text)
        print("URL: ", url)

url = "https://pydefis.callicode.fr/defis/UrlElectro/intern/code/03fCF23cfE"
browse(url)


